# ARLAS Command line for collection management

```
python3 -m arlas.cli.cli  --help
                                                                                                                                                                                                                                
 Usage: python -m arlas.cli.cli [OPTIONS] COMMAND [ARGS]...                                                                                                                                                                     
                                                                                                                                                                                                                                
╭─ Options ────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ --config-file        TEXT  Path to the configuration file if you do not want to use the default one: .arlas/cli/configuration.yaml. [default: None]                                                                          │
│ --version                  Print command line version                                                                                                                                                                        │
│ --help                     Show this message and exit.                                                                                                                                                                       │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯
╭─ Commands ───────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ collections                                                                                                                                                                                                                  │
│ confs                                                                                                                                                                                                                        │
│ indices                                                                                                                                                                                                                      │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯

```

Actions on collections:

```
python3 -m arlas.cli.cli collections --help
                                                                                                                                                                                                                                
 Usage: python -m arlas.cli.cli collections [OPTIONS] COMMAND [ARGS]...                                                                                                                                                         
                                                                                                                                                                                                                                
╭─ Options ────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ *  --config        TEXT  Name of the ARLAS configuration to use from your configuration file (/Users/gaudan/.arlas/cli/configuration.yaml). [default: None] [required]                                                       │
│    --help                Show this message and exit.                                                                                                                                                                         │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯
╭─ Commands ───────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ count                  Count the number of hits within a collection (or all collection if not provided)                                                                                                                      │
│ create                 Create a collection                                                                                                                                                                                   │
│ delete                 Delete a collection                                                                                                                                                                                   │
│ describe               Describe a collection                                                                                                                                                                                 │
│ list                   List collections                                                                                                                                                                                      │
│ sample                 Display a sample of a collection                                                                                                                                                                      │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯

```

Actions on indices:

```
python3 -m arlas.cli.cli indices --help
                                                                                                                                                                                                                                
 Usage: python -m arlas.cli.cli indices [OPTIONS] COMMAND [ARGS]...                                                                                                                                                             
                                                                                                                                                                                                                                
╭─ Options ────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ *  --config        TEXT  Name of the ARLAS configuration to use from your configuration file (/Users/gaudan/.arlas/cli/configuration.yaml). [default: None] [required]                                                       │
│    --help                Show this message and exit.                                                                                                                                                                         │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯
╭─ Commands ───────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ create                                     Create an index                                                                                                                                                                   │
│ data                                       Index data                                                                                                                                                                        │
│ delete                                     Delete an index                                                                                                                                                                   │
│ describe                                   Describe an index                                                                                                                                                                 │
│ list                                       List indices                                                                                                                                                                      │
│ mapping                                    Generate the mapping based on the data                                                                                                                                            │
│ sample                                     Display a sample of an index                                                                                                                                                      │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯

```

Actions on configurations:

```
python3 -m arlas.cli.cli confs --help
                                                                                                                                                                                                                                
 Usage: python -m arlas.cli.cli confs [OPTIONS] COMMAND [ARGS]...                                                                                                                                                               
                                                                                                                                                                                                                                
╭─ Options ────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ --help          Show this message and exit.                                                                                                                                                                                  │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯
╭─ Commands ───────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╮
│ create                                                      Add a configuration                                                                                                                                              │
│ delete                                                      Delete a configuration                                                                                                                                           │
│ describe                                                    Describe a configuration                                                                                                                                         │
│ list                                                        List configurations                                                                                                                                              │
╰──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────╯

```
